Subject: [PATCH 09/13] mxcmmc: add card detect through DAT3 possibility

From: [email-masked] (Eric Bénard)
Date: Wed, 19 May 2010 19:21:09 +0200

Le 19/05/2010 19:11, Daniel Mack a ?crit :
>> +	if (host->pdata &&  host->pdata->dat3_card_detect)
>
> As 0 is a valid GPIO, so you should use gpio_is_valid() here, and update
> all users' pdata to set dat3_card_detect = -1, so it will fail this
> test.
>
dat3_card_detect is not a GPIO number, it's just a flag to indicate that 
we want to use the internal detection feature provided by the mxcmci on 
DAT3 gpio (which is not used in GPIO mux).

Eric